POST Agents/EMail/GetUnsanitizedEMailFromDocumentIdWithoutAttachmentStream
Some tooltip text!
• 6 minutes to read
• 6 minutes to read
POST /api/v1/Agents/EMail/GetUnsanitizedEMailFromDocumentIdWithoutAttachmentStream
Get an e-mail based on an archived document.
The returned value is not sanitized. NsApiSlow threshold: 5000 ms.
Online Restricted: ## The EMail agent is not available in Online by default. Access must be requested specifically when app is registered.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/EMail/GetUnsanitizedEMailFromDocumentIdWithoutAttachmentStream?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
DocumentId
| Property Name | Type | Description |
|---|---|---|
| DocumentId | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: EMailEntity
| Property Name | Type | Description |
|---|---|---|
| To | array | To recipients of e-mail |
| Cc | array | Cc recipients of e-mail |
| Bcc | array | Bcc recipient of e-mail |
| Subject | string | Subject of the e-mail |
| HTMLBody | string | Body formatted in HTML |
| From | EMailAddress | Who did the e-mail originate from |
| Sent | date-time | When was the e-mail sent |
| Size | int32 | Total size of the e-mail |
| Priority | string | Importance of the e-mail |
| Flags | string | Flag status of this mail (unread, replied, deleted ) |
| MessageID | string | Unique id of e-mails |
| PlainBody | string | Body formatted in plain text |
| IsSent | bool | Is this a sent e-mail (not new) |
| EMailSOInfo | EMailSOInfo | Glue between SuperOffice data and an e-mail. |
| ServerId | int32 | Unique id for the e-mail on the server |
| Attachments | array | |
| CustomHeaderList | array | Non standard e-mail headers |
| FolderName | string | Name of folder the e-mail belongs in |
| EmailItemId | int32 | Primary key |
| AccountId | int32 | Account Id |
| ReceivedAt | date-time | Received date time |
| InReplyTo | EMailEnvelope | The envelope of the email this email is a reply to, if it exists |
| RepliedAt | date-time | When this email was replied at |
| HasCalendarData | bool | If this email contains exactly one iCal appointment |
| CalMethod | string | Method stored in the associated iCal appointment. Indicates if the iCal data is a reply, counter proposal etc. |
| CalReplyStatus | string | Reply status stored in calendar data for the ical method is REPLY |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/EMail/GetUnsanitizedEMailFromDocumentIdWithoutAttachmentStream
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"DocumentId": 542
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"To": [
{
"ContactId": 794,
"ContactName": "Acme Corporation",
"PersonId": 448,
"PersonName": "John Anderson",
"AssociateId": 816,
"Address": "john.anderson@acmecorp.com",
"EmailId": 141,
"DuplicatePersonIds": [
944,
720
],
"Name": "Torphy-Lynch",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 102
}
}
}
],
"Cc": [
{
"ContactId": 248,
"ContactName": "Nikolaus LLC",
"PersonId": 535,
"PersonName": "Franecki-Durgan",
"AssociateId": 331,
"Address": "labore",
"EmailId": 370,
"DuplicatePersonIds": [
75,
521
],
"Name": "Lakin-Schimmel",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 557
}
}
}
],
"Bcc": [
{
"ContactId": 93,
"ContactName": "Block LLC",
"PersonId": 670,
"PersonName": "Schneider, O'Keefe and Kunze",
"AssociateId": 950,
"Address": "optio",
"EmailId": 964,
"DuplicatePersonIds": [
6,
620
],
"Name": "Simonis-Wilkinson",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 463
}
}
}
],
"Subject": "Contract Review Required",
"HTMLBody": "<html><body><p>The contract has been updated and requires your final review.</p></body></html>",
"From": null,
"Sent": "2013-02-12T10:10:59.9789606+01:00",
"Size": 134567,
"Priority": "High",
"Flags": "Answered",
"MessageID": "<20240114120000.msg014@acmecorp.com>",
"PlainBody": "The contract has been updated and requires your final review.",
"IsSent": false,
"EMailSOInfo": null,
"ServerId": 657,
"Attachments": [
{
"Description": "Enhanced mobile success",
"Filename": "dolorem",
"Size": 566,
"Type": "nihil",
"Encoding": "consequatur",
"Id": "voluptas",
"Disposition": "fugiat",
"IsSafeFileExtension": true,
"Stream": "GIF89....File contents as raw bytes...",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 7
}
}
}
],
"CustomHeaderList": [
{
"Name": "Pfeffer Group",
"Values": [
"sint",
"nesciunt"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 228
}
}
},
{
"Name": "Pfeffer Group",
"Values": [
"sint",
"nesciunt"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 228
}
}
}
],
"FolderName": "Documents",
"EmailItemId": 751,
"AccountId": 740,
"ReceivedAt": "2008-03-11T10:10:59.9799627+01:00",
"InReplyTo": null,
"RepliedAt": "2007-09-19T10:10:59.9799627+02:00",
"HasCalendarData": true,
"CalMethod": "Add",
"CalReplyStatus": "Accepted",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 668
}
}
}